Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.afp.modca
Class InterchangeSet

    java.lang.Object
      org.apache.fop.afp.modca.InterchangeSet

    public class InterchangeSet

extends java.lang.Object

MO:DCA Interchange Set

Field Summary
`static java.lang.String` | `MODCA_PRESENTATION_INTERCHANGE_SET_1` interchange set 1 string value
`static java.lang.String` | `MODCA_PRESENTATION_INTERCHANGE_SET_2` interchange set 2 string value
`static java.lang.String` | `MODCA_RESOURCE_INTERCHANGE_SET` resource interchange set string value

Constructor Summary
`InterchangeSet(int value)` Main constructor

Method Summary
`protected boolean` | `is1()` Returns true if complies with MOD:CA interchange set 1
`boolean` | `is2()` Returns true if complies with MOD:CA interchange set 2
`boolean` | `isResource()` Returns true if complies with MOD:CA resource set
`boolean` | `supportsLevel2()` Returns true if MOD:CA interchange set 2 (resource groups) is supported
`java.lang.String` | `toString()`
`static InterchangeSet` | `valueOf(java.lang.String str)` Returns the interchange set value of a given string

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MODCA_PRESENTATION_INTERCHANGE_SET_1

    public static final java.lang.String MODCA_PRESENTATION_INTERCHANGE_SET_1

  interchange set 1 string value

  See Also:
    Constant Field Values

### MODCA_PRESENTATION_INTERCHANGE_SET_2

    public static final java.lang.String MODCA_PRESENTATION_INTERCHANGE_SET_2

  interchange set 2 string value

  See Also:
    Constant Field Values

### MODCA_RESOURCE_INTERCHANGE_SET

    public static final java.lang.String MODCA_RESOURCE_INTERCHANGE_SET

  resource interchange set string value

  See Also:
    Constant Field Values

Constructor Detail

### InterchangeSet

    public InterchangeSet(int value)

  Main constructor

  Parameters:
    `value` - the interchange set value

Method Detail

### valueOf

    public static InterchangeSet valueOf(java.lang.String str)

  Returns the interchange set value of a given string

  Parameters:
    `str` - an interchange set value
  Returns:
    an interchange set

### is1

    protected boolean is1()

  Returns true if complies with MOD:CA interchange set 1

  Returns:
    true if complies with MOD:CA interchange set 1

### is2

    public boolean is2()

  Returns true if complies with MOD:CA interchange set 2

  Returns:
    true if complies with MOD:CA interchange set 2

### isResource

    public boolean isResource()

  Returns true if complies with MOD:CA resource set

  Returns:
    true if complies with MOD:CA resource set

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### supportsLevel2

    public boolean supportsLevel2()

  Returns true if MOD:CA interchange set 2 (resource groups) is supported

  Returns:
    true if MOD:CA interchange set 2 (resource groups) is supported

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.